Open Chinese Convert 1.0.3 A project for conversion between Traditional and Simplified Chinese

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opencc::MaxMatchSegmentation Class Reference
OpenCC C++ Comprehensive API

Implementation of maximal match segmentation. More...

`#include <MaxMatchSegmentation.hpp>`

Inheritance diagram for opencc::MaxMatchSegmentation:

## Public Member Functions
| MaxMatchSegmentation (const DictPtr _dict)
virtual SegmentsPtr | Segment (const string &text) const
const DictPtr | GetDict () const

## Detailed Description

Implementation of maximal match segmentation.

The documentation for this class was generated from the following files:

- MaxMatchSegmentation.hpp
- MaxMatchSegmentation.cpp